No GDAL/GRASS functionality on OSX in QGIS3

2018-04-10 09:46 PM - Dewey Dunnington

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 26592

Description

I cannot get the processing toolbox GDAL or GRASS functions to work in QGIS3 on OSX. The error for GDAL functions is:

/bin/sh: gdal_translate: command not found

The error for GRASS functions is:

env: python3: No such file or directory 

env: python3: No such file or directory

SAGA appears to be working properly. python3 appears to be working from the terminal, but gdal_translate does not appear to be

working from the terminal.

History

#1 - 2018-05-25 09:47 AM - cesare galanti

https://gis.stackexchange.com/a/283923/118161

#2 - 2019-01-30 03:23 PM - Alexander Bruy

- Resolution set to up/downstream

- Status changed from Open to Closed

Current stable version of GRASS does not support Python 3 while QGIS uses Python 3. You need to wait for GRASS 7.8 which will be compatible with

Python 3.
